Name:             rhq-plugin-annotations
Version:          3.0.4
Release:          %mkrel 3
Summary:          RHQ plugin annotations
Group:            Development/Java
License:          GPL and LGPLv2+
URL:              http://rhq-project.org

# git clone git://git.fedorahosted.org/rhq/rhq.git
# git checkout rhq-pluginGen-3.0.4
# cd rhq/modules/helpers/
# tar cafJ rhq-plugin-annotations-3.0.4.tar.xz pluginAnnotations
Source0:          rhq-plugin-annotations-%{version}.tar.xz
Patch0:           rhq-plugin-annotations-%{version}-pom.patch

BuildArch:        noarch

BuildRequires:    java-devel
BuildRequires:    jpackage-utils
BuildRequires:    maven
BuildRequires:    maven-compiler-plugin
BuildRequires:    maven-install-plugin
BuildRequires:    maven-jar-plugin
BuildRequires:    maven-javadoc-plugin

Requires:         java
Requires:         jpackage-utils

%description
Annotations to help generate RHQ plugin descriptors

%package javadoc
Summary:          Javadocs for %{name}
Group:            Development/Java
Requires:         jpackage-utils

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n pluginAnnotations
%patch0 -p1

%build
mvn-rpmbuild -Dproject.build.sourceEncoding=iso8859-1  install javadoc:aggregate

%install
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}
install -d -m 755 $RPM_BUILD_ROOT%{_mavenpomdir}
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}

# JAR
install -pm 644 target/rhq-pluginAnnotations-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}.jar

# POM
install -pm 644 pom.xml $RPM_BUILD_ROOT%{_mavenpomdir}/JPP-%{name}.pom

# DEPMAP
%add_maven_depmap JPP-%{name}.pom %{name}.jar

# APIDOCS
cp -rp target/site/apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}

%files
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*
%{_javadir}/*

%files javadoc
%{_javadocdir}/%{name}



%changelog

* Mon Jan 14 2013 umeabot <umeabot> 3.0.4-3.mga3
+ Revision: 380335
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Sep 10 2012 dmorgan <dmorgan> 3.0.4-2.mga3
+ Revision: 291794
- Use fedora spec file layout

* Mon Feb 20 2012 gil <gil> 3.0.4-1.mga3
+ Revision: 211072
- imported package rhq-plugin-annotations

